export const errorRenderer = (
  instance: any,
  td: any,
  row: number,
  col: number,
  prop: string,
  value: any,
  cellProperties: any
) => {
  td.innerHTML = `${
    value ? value.toString() : ''
  } <clr-icon shape="exclamation-circle" status="warning"></clr-icon>`

  return td
}

export const noSpinnerRenderer = (
  instance: any,
  td: any,
  row: number,
  col: number,
  prop: string,
  value: any,
  cellProperties: any
) => {
  td.innerHTML = value ? value : ''

  return td
}

// Spinner shown whilst waiting for SAS to respond
export const spinnerRenderer = (
  instance: any,
  td: any,
  row: number,
  col: number,
  prop: string,
  value: any,
  cellProperties: any
) => {
  td.innerHTML = `${
    value ? value.toString() : ''
  } <span class="spinner spinner-sm vertical-align-middle"></span>`

  return td
}
