export interface CellValidation {
  data: string
  length: number
  type?: string
  source: string[]
  format?: number
  validator?: any
  valid?: boolean
  renderer?: any
  dateFormat?: string
  readOnly?: boolean
  desc?: string
  correctFormat?: boolean
  /**
   * Key for accessing object fields, any type because it can be
   * any of the types interface have
   */
  [key: string]: any
}
