const path = require('path')

let FILTER_TEXT = ''

let appLoc = path.join(..._program.split('services')[0].split('/'))
const sessionStoragePath = path.resolve(__dirname, '..', '..', 'drive', 'files', appLoc, 'mock-storage')
const filterStore = path.resolve(sessionStoragePath, 'filter.txt')

let sasControlTableFileText = ''

if (_WEBIN_FILENAME1.includes('SASControlTable')) sasControlTableFileText = _WEBIN_FILEREF1.toString()

if (sasControlTableFileText.includes('1,WEB')) { //it is filter_pk = 1
    try {
        FILTER_TEXT = fs.readFileSync(filterStore, {encoding:'utf8'}).toString()
    } catch (err) {

    }
}

FILTER_TEXT = FILTER_TEXT.replace(/\"/gmi, '\\"')

let webouts = {
    MPE_X_TEST: `{"SYSDATE" : "26SEP22"
,"SYSTIME" : "08:30"
, "approvers":
[
{
"PERSONNAME": "sasdemo",
"EMAIL": "sasdemo",
"USERID": "sasdemo"
}
]
, "cols":
[
{
"NAME": "PRIMARY_KEY_FIELD",
"VARNUM": 1,
"LABEL": "PRIMARY_KEY_FIELD",
"FMTNAME": "",
"DDTYPE": "NUMERIC",
"CLS_RULE": "READ",
"MEMLABEL": "",
"DESC": "",
"LONGDESC": ""
},
{
"NAME": "SOME_BESTNUM",
"VARNUM": 9,
"LABEL": "SOME_BESTNUM",
"FMTNAME": "BEST",
"DDTYPE": "NUMERIC",
"CLS_RULE": "READ",
"MEMLABEL": "",
"DESC": "",
"LONGDESC": ""
},
{
"NAME": "SOME_CHAR",
"VARNUM": 2,
"LABEL": "SOME_CHAR",
"FMTNAME": "",
"DDTYPE": "CHARACTER",
"CLS_RULE": "READ",
"MEMLABEL": "",
"DESC": "",
"LONGDESC": ""
},
{
"NAME": "SOME_DATE",
"VARNUM": 5,
"LABEL": "SOME_DATE",
"FMTNAME": "DATE",
"DDTYPE": "DATE",
"CLS_RULE": "READ",
"MEMLABEL": "",
"DESC": "",
"LONGDESC": ""
},
{
"NAME": "SOME_DATETIME",
"VARNUM": 6,
"LABEL": "SOME_DATETIME",
"FMTNAME": "DATETIME",
"DDTYPE": "DATETIME",
"CLS_RULE": "READ",
"MEMLABEL": "",
"DESC": "",
"LONGDESC": ""
},
{
"NAME": "SOME_DROPDOWN",
"VARNUM": 3,
"LABEL": "SOME_DROPDOWN",
"FMTNAME": "",
"DDTYPE": "CHARACTER",
"CLS_RULE": "READ",
"MEMLABEL": "",
"DESC": "",
"LONGDESC": ""
},
{
"NAME": "SOME_NUM",
"VARNUM": 4,
"LABEL": "SOME_NUM",
"FMTNAME": "",
"DDTYPE": "NUMERIC",
"CLS_RULE": "READ",
"MEMLABEL": "",
"DESC": "",
"LONGDESC": ""
},
{
"NAME": "SOME_SHORTNUM",
"VARNUM": 8,
"LABEL": "SOME_SHORTNUM",
"FMTNAME": "",
"DDTYPE": "NUMERIC",
"CLS_RULE": "READ",
"MEMLABEL": "",
"DESC": "",
"LONGDESC": ""
},
{
"NAME": "SOME_TIME",
"VARNUM": 7,
"LABEL": "SOME_TIME",
"FMTNAME": "TIME",
"DDTYPE": "TIME",
"CLS_RULE": "READ",
"MEMLABEL": "",
"DESC": "",
"LONGDESC": ""
}
]
, "dqdata":
[
{
"BASE_COL": "SOME_DROPDOWN",
"RULE_VALUE": "SOME_DROPDOWN",
"RULE_DATA": "Option 1",
"SELECTBOX_ORDER": 1
},
{
"BASE_COL": "SOME_DROPDOWN",
"RULE_VALUE": "SOME_DROPDOWN",
"RULE_DATA": "Option 2",
"SELECTBOX_ORDER": 2
},
{
"BASE_COL": "SOME_DROPDOWN",
"RULE_VALUE": "SOME_DROPDOWN",
"RULE_DATA": "Option 3",
"SELECTBOX_ORDER": 2
},
{
"BASE_COL": "SOME_DROPDOWN",
"RULE_VALUE": "SOME_DROPDOWN",
"RULE_DATA": "This is a long option. This option is very long. It is optional, though.",
"SELECTBOX_ORDER": 3
}
]
, "dqrules":
[
{
"BASE_COL": "PRIMARY_KEY_FIELD",
"RULE_TYPE": "NOTNULL",
"RULE_VALUE": "",
"X": 0
},
{
"BASE_COL": "SOME_NUM",
"RULE_TYPE": "HARDSELECT_HOOK",
"RULE_VALUE": "services/validations/mpe_x_test.some_num",
"X": 0
}
]
, "dsmeta":
[
{
"ODS_TABLE": "ATTRIBUTES",
"NAME": "Data Set Name",
"VALUE": "DC996664.MPE_X_TEST"
},
{
"ODS_TABLE": "ATTRIBUTES",
"NAME": "Observations",
"VALUE": "496"
},
{
"ODS_TABLE": "ATTRIBUTES",
"NAME": "Member Type",
"VALUE": "DATA"
},
{
"ODS_TABLE": "ATTRIBUTES",
"NAME": "Variables",
"VALUE": "9"
},
{
"ODS_TABLE": "ATTRIBUTES",
"NAME": "Engine",
"VALUE": "V9"
},
{
"ODS_TABLE": "ATTRIBUTES",
"NAME": "Indexes",
"VALUE": "1"
},
{
"ODS_TABLE": "ATTRIBUTES",
"NAME": "Created",
"VALUE": "09/26/2022 08:24:39"
},
{
"ODS_TABLE": "ATTRIBUTES",
"NAME": "Integrity Constraints",
"VALUE": "1"
},
{
"ODS_TABLE": "ATTRIBUTES",
"NAME": "Last Modified",
"VALUE": "09/26/2022 08:24:45"
},
{
"ODS_TABLE": "ATTRIBUTES",
"NAME": "Observation Length",
"VALUE": "32947"
},
{
"ODS_TABLE": "ATTRIBUTES",
"NAME": "Protection",
"VALUE": " ."
},
{
"ODS_TABLE": "ATTRIBUTES",
"NAME": "Deleted Observations",
"VALUE": "0"
},
{
"ODS_TABLE": "ATTRIBUTES",
"NAME": "Data Set Type",
"VALUE": " ."
},
{
"ODS_TABLE": "ATTRIBUTES",
"NAME": "Compressed",
"VALUE": "CHAR"
},
{
"ODS_TABLE": "ATTRIBUTES",
"NAME": "Label",
"VALUE": " ."
},
{
"ODS_TABLE": "ATTRIBUTES",
"NAME": "Reuse Space",
"VALUE": "NO"
},
{
"ODS_TABLE": "ATTRIBUTES",
"NAME": "Data Representation",
"VALUE": "WINDOWS_64"
},
{
"ODS_TABLE": "ATTRIBUTES",
"NAME": "Point to Observations",
"VALUE": "YES"
},
{
"ODS_TABLE": "ATTRIBUTES",
"NAME": "Encoding",
"VALUE": "wlatin1 Western (Windows)"
},
{
"ODS_TABLE": "ATTRIBUTES",
"NAME": "Sorted",
"VALUE": "NO"
},
{
"ODS_TABLE": "ENGINEHOST",
"NAME": "Data Set Page Size",
"VALUE": "262144"
},
{
"ODS_TABLE": "ENGINEHOST",
"NAME": "Number of Data Set Pages",
"VALUE": "3"
},
{
"ODS_TABLE": "ENGINEHOST",
"NAME": "Index File Page Size",
"VALUE": "4096"
},
{
"ODS_TABLE": "ENGINEHOST",
"NAME": "Number of Index File Pages",
"VALUE": "4"
},
{
"ODS_TABLE": "ENGINEHOST",
"NAME": "Number of Data Set Repairs",
"VALUE": "0"
},
{
"ODS_TABLE": "ENGINEHOST",
"NAME": "ExtendObsCounter",
"VALUE": "YES"
},
{
"ODS_TABLE": "ENGINEHOST",
"NAME": "Filename",
"VALUE": "C:\DataController\DC996664\mpe_x_test.sas7bdat"
},
{
"ODS_TABLE": "ENGINEHOST",
"NAME": "Release Created",
"VALUE": "9.0401M7"
},
{
"ODS_TABLE": "ENGINEHOST",
"NAME": "Host Created",
"VALUE": "Linunx"
},
{
"ODS_TABLE": "ENGINEHOST",
"NAME": "Owner Name",
"VALUE": "BUILTIN\Administrators"
},
{
"ODS_TABLE": "ENGINEHOST",
"NAME": "File Size",
"VALUE": " 1MB"
},
{
"ODS_TABLE": "ENGINEHOST",
"NAME": "File Size (bytes)",
"VALUE": "1048576"
}
]
, "maxvarlengths":
[
{
"NAME": "_____DELETE__THIS__RECORD_____",
"MAXLEN": 3
},
{
"NAME": "PRIMARY_KEY_FIELD",
"MAXLEN": 4
},
{
"NAME": "some_char",
"MAXLEN": 591
},
{
"NAME": "some_dropdown",
"MAXLEN": 8
},
{
"NAME": "some_num",
"MAXLEN": 8
},
{
"NAME": "some_date",
"MAXLEN": 10
},
{
"NAME": "some_datetime",
"MAXLEN": 19
},
{
"NAME": "some_time",
"MAXLEN": 8
},
{
"NAME": "some_shortnum",
"MAXLEN": 3
},
{
"NAME": "some_bestnum",
"MAXLEN": 3
}
]
, "query":
[

]
, "sasdata":
[
{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":0 ,"SOME_CHAR":"this is dummy data" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":42 ,"SOME_DATE":"1960-02-12" ,"SOME_DATETIME":"1960-01-01 00:00:42" ,"SOME_TIME":"00:00:42" ,"SOME_SHORTNUM":3 ,"SOME_BESTNUM":44 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1 ,"SOME_CHAR":"more dummy data" ,"SOME_DROPDOWN":"Option 2" ,"SOME_NUM":42 ,"SOME_DATE":"1960-02-12" ,"SOME_DATETIME":"1960-01-01 00:00:42" ,"SOME_TIME":"00:07:02" ,"SOME_SHORTNUM":3 ,"SOME_BESTNUM":44 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":2 ,"SOME_CHAR":"even more dummy data" ,"SOME_DROPDOWN":"Option 3" ,"SOME_NUM":42 ,"SOME_DATE":"1960-02-12" ,"SOME_DATETIME":"1960-01-01 00:00:42" ,"SOME_TIME":"00:02:22" ,"SOME_SHORTNUM":3 ,"SOME_BESTNUM":44 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":3 ,"SOME_CHAR":"It was a dark and stormy night. The wind was blowing a gale! The captain said to his mate - mate, tell us a tale. And this, is the tale he told: It was a dark and stormy night. The wind was blowing a gale! The captain said to his mate - mate, tell us a tale. And this, is the tale he told: It was a dark and stormy night. The wind was blowing a gale! The captain said to his mate - mate, tell us a tale. And this, is the tale he told: It was a dark and stormy night. The wind was blowing a gale! The captain said to his mate - mate, tell us a tale. And this, is the tale he told:" ,"SOME_DROPDOWN":"Option 2" ,"SOME_NUM":1613.001 ,"SOME_DATE":"1961-02-27" ,"SOME_DATETIME":"1960-01-01 00:07:03" ,"SOME_TIME":"00:00:44" ,"SOME_SHORTNUM":3 ,"SOME_BESTNUM":44 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":4 ,"SOME_CHAR":"if you can fill the unforgiving minute" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":1613.0011235 ,"SOME_DATE":"1971-08-02" ,"SOME_DATETIME":"1973-05-29 06:12:03" ,"SOME_TIME":"00:06:52" ,"SOME_SHORTNUM":3 ,"SOME_BESTNUM":44 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1010 ,"SOME_CHAR":"10 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.3677867113 ,"SOME_DATE":"1961-03-05" ,"SOME_DATETIME":"1960-01-01 08:16:44" ,"SOME_TIME":"00:00:35" ,"SOME_SHORTNUM":1 ,"SOME_BESTNUM":72 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1011 ,"SOME_CHAR":"11 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.8693330497 ,"SOME_DATE":"1961-01-20" ,"SOME_DATETIME":"1960-01-01 01:25:19" ,"SOME_TIME":"00:00:01" ,"SOME_SHORTNUM":6 ,"SOME_BESTNUM":54 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1012 ,"SOME_CHAR":"12 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.5432779065 ,"SOME_DATE":"1961-10-06" ,"SOME_DATETIME":"1960-01-01 02:57:35" ,"SOME_TIME":"00:00:35" ,"SOME_SHORTNUM":54 ,"SOME_BESTNUM":62 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1013 ,"SOME_CHAR":"13 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.5051939867 ,"SOME_DATE":"1962-02-20" ,"SOME_DATETIME":"1960-01-01 06:47:55" ,"SOME_TIME":"00:00:41" ,"SOME_SHORTNUM":38 ,"SOME_BESTNUM":4 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1014 ,"SOME_CHAR":"14 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.0130502507 ,"SOME_DATE":"1960-01-13" ,"SOME_DATETIME":"1960-01-01 03:48:13" ,"SOME_TIME":"00:00:14" ,"SOME_SHORTNUM":92 ,"SOME_BESTNUM":57 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1015 ,"SOME_CHAR":"15 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.5822708009 ,"SOME_DATE":"1962-07-12" ,"SOME_DATETIME":"1960-01-01 12:05:18" ,"SOME_TIME":"00:00:54" ,"SOME_SHORTNUM":92 ,"SOME_BESTNUM":80 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1016 ,"SOME_CHAR":"16 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.1382724979 ,"SOME_DATE":"1960-08-29" ,"SOME_DATETIME":"1960-01-01 02:48:01" ,"SOME_TIME":"00:00:01" ,"SOME_SHORTNUM":28 ,"SOME_BESTNUM":91 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1017 ,"SOME_CHAR":"17 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.892701324 ,"SOME_DATE":"1961-09-14" ,"SOME_DATETIME":"1960-01-01 07:03:58" ,"SOME_TIME":"00:01:37" ,"SOME_SHORTNUM":91 ,"SOME_BESTNUM":72 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1018 ,"SOME_CHAR":"18 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.1852788567 ,"SOME_DATE":"1961-03-08" ,"SOME_DATETIME":"1960-01-01 00:22:48" ,"SOME_TIME":"00:00:32" ,"SOME_SHORTNUM":93 ,"SOME_BESTNUM":79 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1019 ,"SOME_CHAR":"19 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.0737551018 ,"SOME_DATE":"1961-01-24" ,"SOME_DATETIME":"1960-01-01 03:14:33" ,"SOME_TIME":"00:00:21" ,"SOME_SHORTNUM":22 ,"SOME_BESTNUM":90 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1020 ,"SOME_CHAR":"20 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.7128569939 ,"SOME_DATE":"1961-02-08" ,"SOME_DATETIME":"1960-01-01 01:50:23" ,"SOME_TIME":"00:01:40" ,"SOME_SHORTNUM":65 ,"SOME_BESTNUM":34 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1021 ,"SOME_CHAR":"21 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.6706138443 ,"SOME_DATE":"1961-03-09" ,"SOME_DATETIME":"1960-01-01 04:52:55" ,"SOME_TIME":"00:00:13" ,"SOME_SHORTNUM":44 ,"SOME_BESTNUM":97 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1022 ,"SOME_CHAR":"22 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.1423215792 ,"SOME_DATE":"1962-07-22" ,"SOME_DATETIME":"1960-01-01 07:25:01" ,"SOME_TIME":"00:01:10" ,"SOME_SHORTNUM":66 ,"SOME_BESTNUM":98 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1023 ,"SOME_CHAR":"23 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.1259848066 ,"SOME_DATE":"1962-09-01" ,"SOME_DATETIME":"1960-01-01 09:32:34" ,"SOME_TIME":"00:01:16" ,"SOME_SHORTNUM":44 ,"SOME_BESTNUM":98 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1024 ,"SOME_CHAR":"24 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.3899468637 ,"SOME_DATE":"1961-12-06" ,"SOME_DATETIME":"1960-01-01 06:53:51" ,"SOME_TIME":"00:00:33" ,"SOME_SHORTNUM":30 ,"SOME_BESTNUM":90 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1025 ,"SOME_CHAR":"25 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.0310356193 ,"SOME_DATE":"1960-03-01" ,"SOME_DATETIME":"1960-01-01 02:58:07" ,"SOME_TIME":"00:00:27" ,"SOME_SHORTNUM":73 ,"SOME_BESTNUM":59 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1026 ,"SOME_CHAR":"26 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.9057884239 ,"SOME_DATE":"1960-10-04" ,"SOME_DATETIME":"1960-01-01 11:17:28" ,"SOME_TIME":"00:00:41" ,"SOME_SHORTNUM":82 ,"SOME_BESTNUM":46 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1027 ,"SOME_CHAR":"27 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.5920675856 ,"SOME_DATE":"1962-07-15" ,"SOME_DATETIME":"1960-01-01 03:35:41" ,"SOME_TIME":"00:00:22" ,"SOME_SHORTNUM":46 ,"SOME_BESTNUM":73 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1028 ,"SOME_CHAR":"28 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.6580030046 ,"SOME_DATE":"1960-10-08" ,"SOME_DATETIME":"1960-01-01 13:13:30" ,"SOME_TIME":"00:00:40" ,"SOME_SHORTNUM":35 ,"SOME_BESTNUM":40 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1029 ,"SOME_CHAR":"29 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.807042594 ,"SOME_DATE":"1960-12-26" ,"SOME_DATETIME":"1960-01-01 11:57:14" ,"SOME_TIME":"00:00:19" ,"SOME_SHORTNUM":80 ,"SOME_BESTNUM":12 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1030 ,"SOME_CHAR":"30 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.8801450408 ,"SOME_DATE":"1961-05-15" ,"SOME_DATETIME":"1960-01-01 10:11:05" ,"SOME_TIME":"00:00:25" ,"SOME_SHORTNUM":70 ,"SOME_BESTNUM":19 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1031 ,"SOME_CHAR":"31 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.4150194705 ,"SOME_DATE":"1962-01-27" ,"SOME_DATETIME":"1960-01-01 11:27:09" ,"SOME_TIME":"00:01:04" ,"SOME_SHORTNUM":94 ,"SOME_BESTNUM":48 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1032 ,"SOME_CHAR":"32 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.9743401203 ,"SOME_DATE":"1962-01-09" ,"SOME_DATETIME":"1960-01-01 07:44:35" ,"SOME_TIME":"00:01:07" ,"SOME_SHORTNUM":43 ,"SOME_BESTNUM":3 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1033 ,"SOME_CHAR":"33 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.2035595692 ,"SOME_DATE":"1960-09-07" ,"SOME_DATETIME":"1960-01-01 11:52:19" ,"SOME_TIME":"00:00:42" ,"SOME_SHORTNUM":29 ,"SOME_BESTNUM":56 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1034 ,"SOME_CHAR":"34 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.6792435556 ,"SOME_DATE":"1960-04-21" ,"SOME_DATETIME":"1960-01-01 07:17:04" ,"SOME_TIME":"00:01:14" ,"SOME_SHORTNUM":68 ,"SOME_BESTNUM":9 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1035 ,"SOME_CHAR":"35 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.9494116972 ,"SOME_DATE":"1960-01-19" ,"SOME_DATETIME":"1960-01-01 10:15:38" ,"SOME_TIME":"00:01:16" ,"SOME_SHORTNUM":91 ,"SOME_BESTNUM":10 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1036 ,"SOME_CHAR":"36 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.5446134911 ,"SOME_DATE":"1960-10-26" ,"SOME_DATETIME":"1960-01-01 03:55:27" ,"SOME_TIME":"00:01:24" ,"SOME_SHORTNUM":72 ,"SOME_BESTNUM":36 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1037 ,"SOME_CHAR":"37 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.458775894 ,"SOME_DATE":"1960-11-21" ,"SOME_DATETIME":"1960-01-01 13:34:37" ,"SOME_TIME":"00:01:35" ,"SOME_SHORTNUM":97 ,"SOME_BESTNUM":32 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1038 ,"SOME_CHAR":"38 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.1537194239 ,"SOME_DATE":"1961-05-06" ,"SOME_DATETIME":"1960-01-01 06:14:13" ,"SOME_TIME":"00:00:29" ,"SOME_SHORTNUM":60 ,"SOME_BESTNUM":98 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1039 ,"SOME_CHAR":"39 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.4935002562 ,"SOME_DATE":"1960-06-05" ,"SOME_DATETIME":"1960-01-01 06:59:42" ,"SOME_TIME":"00:00:45" ,"SOME_SHORTNUM":95 ,"SOME_BESTNUM":55 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1040 ,"SOME_CHAR":"40 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.124728859 ,"SOME_DATE":"1961-03-09" ,"SOME_DATETIME":"1960-01-01 03:03:06" ,"SOME_TIME":"00:01:23" ,"SOME_SHORTNUM":35 ,"SOME_BESTNUM":79 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1041 ,"SOME_CHAR":"41 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.2794422001 ,"SOME_DATE":"1962-07-06" ,"SOME_DATETIME":"1960-01-01 05:29:26" ,"SOME_TIME":"00:00:51" ,"SOME_SHORTNUM":86 ,"SOME_BESTNUM":66 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1042 ,"SOME_CHAR":"42 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.7030775499 ,"SOME_DATE":"1960-08-11" ,"SOME_DATETIME":"1960-01-01 12:11:24" ,"SOME_TIME":"00:00:38" ,"SOME_SHORTNUM":86 ,"SOME_BESTNUM":97 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1043 ,"SOME_CHAR":"43 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.0701107537 ,"SOME_DATE":"1961-01-29" ,"SOME_DATETIME":"1960-01-01 03:44:09" ,"SOME_TIME":"00:00:03" ,"SOME_SHORTNUM":25 ,"SOME_BESTNUM":8 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1044 ,"SOME_CHAR":"44 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.6423292927 ,"SOME_DATE":"1962-01-15" ,"SOME_DATETIME":"1960-01-01 00:57:07" ,"SOME_TIME":"00:00:09" ,"SOME_SHORTNUM":97 ,"SOME_BESTNUM":37 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1045 ,"SOME_CHAR":"45 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.7206447743 ,"SOME_DATE":"1961-10-14" ,"SOME_DATETIME":"1960-01-01 12:25:32" ,"SOME_TIME":"00:00:07" ,"SOME_SHORTNUM":58 ,"SOME_BESTNUM":58 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1046 ,"SOME_CHAR":"46 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.0431997366 ,"SOME_DATE":"1960-09-12" ,"SOME_DATETIME":"1960-01-01 05:12:57" ,"SOME_TIME":"00:01:35" ,"SOME_SHORTNUM":17 ,"SOME_BESTNUM":8 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1047 ,"SOME_CHAR":"47 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.3704071368 ,"SOME_DATE":"1960-07-01" ,"SOME_DATETIME":"1960-01-01 02:44:37" ,"SOME_TIME":"00:00:06" ,"SOME_SHORTNUM":45 ,"SOME_BESTNUM":26 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1048 ,"SOME_CHAR":"48 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.654417035 ,"SOME_DATE":"1961-05-04" ,"SOME_DATETIME":"1960-01-01 01:23:07" ,"SOME_TIME":"00:01:38" ,"SOME_SHORTNUM":41 ,"SOME_BESTNUM":13 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1049 ,"SOME_CHAR":"49 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.1300212565 ,"SOME_DATE":"1961-01-06" ,"SOME_DATETIME":"1960-01-01 05:27:29" ,"SOME_TIME":"00:01:21" ,"SOME_SHORTNUM":37 ,"SOME_BESTNUM":66 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1050 ,"SOME_CHAR":"50 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.0058409725 ,"SOME_DATE":"1960-07-23" ,"SOME_DATETIME":"1960-01-01 00:04:24" ,"SOME_TIME":"00:00:40" ,"SOME_SHORTNUM":15 ,"SOME_BESTNUM":32 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1051 ,"SOME_CHAR":"51 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.7239382587 ,"SOME_DATE":"1960-06-09" ,"SOME_DATETIME":"1960-01-01 03:15:09" ,"SOME_TIME":"00:00:04" ,"SOME_SHORTNUM":42 ,"SOME_BESTNUM":82 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1052 ,"SOME_CHAR":"52 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.8319003712 ,"SOME_DATE":"1960-08-13" ,"SOME_DATETIME":"1960-01-01 07:38:35" ,"SOME_TIME":"00:00:36" ,"SOME_SHORTNUM":69 ,"SOME_BESTNUM":81 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1053 ,"SOME_CHAR":"53 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.5030828875 ,"SOME_DATE":"1961-06-22" ,"SOME_DATETIME":"1960-01-01 11:25:29" ,"SOME_TIME":"00:00:53" ,"SOME_SHORTNUM":39 ,"SOME_BESTNUM":75 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1054 ,"SOME_CHAR":"54 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.7148045514 ,"SOME_DATE":"1960-08-26" ,"SOME_DATETIME":"1960-01-01 10:10:09" ,"SOME_TIME":"00:00:39" ,"SOME_SHORTNUM":6 ,"SOME_BESTNUM":4 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1055 ,"SOME_CHAR":"55 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.8557945787 ,"SOME_DATE":"1960-10-19" ,"SOME_DATETIME":"1960-01-01 02:17:32" ,"SOME_TIME":"00:00:08" ,"SOME_SHORTNUM":93 ,"SOME_BESTNUM":36 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1056 ,"SOME_CHAR":"56 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.9700463307 ,"SOME_DATE":"1962-07-11" ,"SOME_DATETIME":"1960-01-01 11:18:41" ,"SOME_TIME":"00:00:51" ,"SOME_SHORTNUM":25 ,"SOME_BESTNUM":35 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1057 ,"SOME_CHAR":"57 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.9380399426 ,"SOME_DATE":"1961-06-26" ,"SOME_DATETIME":"1960-01-01 13:15:13" ,"SOME_TIME":"00:00:52" ,"SOME_SHORTNUM":57 ,"SOME_BESTNUM":66 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1058 ,"SOME_CHAR":"58 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.8484499486 ,"SOME_DATE":"1960-06-02" ,"SOME_DATETIME":"1960-01-01 01:14:51" ,"SOME_TIME":"00:00:00" ,"SOME_SHORTNUM":80 ,"SOME_BESTNUM":58 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1059 ,"SOME_CHAR":"59 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.1415707628 ,"SOME_DATE":"1961-07-28" ,"SOME_DATETIME":"1960-01-01 06:33:16" ,"SOME_TIME":"00:00:58" ,"SOME_SHORTNUM":11 ,"SOME_BESTNUM":32 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1060 ,"SOME_CHAR":"60 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.282674513 ,"SOME_DATE":"1962-03-27" ,"SOME_DATETIME":"1960-01-01 00:25:37" ,"SOME_TIME":"00:00:56" ,"SOME_SHORTNUM":79 ,"SOME_BESTNUM":58 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1061 ,"SOME_CHAR":"61 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.372728008 ,"SOME_DATE":"1962-01-04" ,"SOME_DATETIME":"1960-01-01 05:07:43" ,"SOME_TIME":"00:01:00" ,"SOME_SHORTNUM":86 ,"SOME_BESTNUM":92 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1062 ,"SOME_CHAR":"62 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.9517337316 ,"SOME_DATE":"1961-08-29" ,"SOME_DATETIME":"1960-01-01 02:40:05" ,"SOME_TIME":"00:00:05" ,"SOME_SHORTNUM":30 ,"SOME_BESTNUM":93 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1063 ,"SOME_CHAR":"63 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.0967498683 ,"SOME_DATE":"1962-02-17" ,"SOME_DATETIME":"1960-01-01 07:30:41" ,"SOME_TIME":"00:00:29" ,"SOME_SHORTNUM":90 ,"SOME_BESTNUM":82 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1064 ,"SOME_CHAR":"64 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.0540671353 ,"SOME_DATE":"1961-05-26" ,"SOME_DATETIME":"1960-01-01 13:13:43" ,"SOME_TIME":"00:00:08" ,"SOME_SHORTNUM":88 ,"SOME_BESTNUM":45 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1065 ,"SOME_CHAR":"65 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.6461636464 ,"SOME_DATE":"1962-01-27" ,"SOME_DATETIME":"1960-01-01 02:56:41" ,"SOME_TIME":"00:00:19" ,"SOME_SHORTNUM":41 ,"SOME_BESTNUM":38 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1066 ,"SOME_CHAR":"66 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.9053011983 ,"SOME_DATE":"1960-10-02" ,"SOME_DATETIME":"1960-01-01 03:35:49" ,"SOME_TIME":"00:01:04" ,"SOME_SHORTNUM":68 ,"SOME_BESTNUM":39 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1067 ,"SOME_CHAR":"67 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.977525881 ,"SOME_DATE":"1962-07-19" ,"SOME_DATETIME":"1960-01-01 05:53:20" ,"SOME_TIME":"00:00:28" ,"SOME_SHORTNUM":28 ,"SOME_BESTNUM":34 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1068 ,"SOME_CHAR":"68 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.2165553161 ,"SOME_DATE":"1960-05-13" ,"SOME_DATETIME":"1960-01-01 01:44:02" ,"SOME_TIME":"00:01:12" ,"SOME_SHORTNUM":63 ,"SOME_BESTNUM":23 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1069 ,"SOME_CHAR":"69 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.2248352795 ,"SOME_DATE":"1961-05-09" ,"SOME_DATETIME":"1960-01-01 00:04:33" ,"SOME_TIME":"00:00:09" ,"SOME_SHORTNUM":26 ,"SOME_BESTNUM":93 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1070 ,"SOME_CHAR":"70 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.1386283367 ,"SOME_DATE":"1962-05-18" ,"SOME_DATETIME":"1960-01-01 03:32:00" ,"SOME_TIME":"00:01:36" ,"SOME_SHORTNUM":83 ,"SOME_BESTNUM":89 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1071 ,"SOME_CHAR":"71 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.9337331415 ,"SOME_DATE":"1961-05-16" ,"SOME_DATETIME":"1960-01-01 13:46:54" ,"SOME_TIME":"00:00:47" ,"SOME_SHORTNUM":27 ,"SOME_BESTNUM":56 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1072 ,"SOME_CHAR":"72 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.0352235506 ,"SOME_DATE":"1961-06-06" ,"SOME_DATETIME":"1960-01-01 09:09:20" ,"SOME_TIME":"00:01:16" ,"SOME_SHORTNUM":7 ,"SOME_BESTNUM":27 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1073 ,"SOME_CHAR":"73 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.3206662695 ,"SOME_DATE":"1960-03-13" ,"SOME_DATETIME":"1960-01-01 10:38:11" ,"SOME_TIME":"00:01:08" ,"SOME_SHORTNUM":3 ,"SOME_BESTNUM":50 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1074 ,"SOME_CHAR":"74 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.4610861705 ,"SOME_DATE":"1961-08-31" ,"SOME_DATETIME":"1960-01-01 09:35:41" ,"SOME_TIME":"00:01:08" ,"SOME_SHORTNUM":54 ,"SOME_BESTNUM":68 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1075 ,"SOME_CHAR":"75 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.4527745622 ,"SOME_DATE":"1962-01-16" ,"SOME_DATETIME":"1960-01-01 06:49:27" ,"SOME_TIME":"00:00:45" ,"SOME_SHORTNUM":96 ,"SOME_BESTNUM":63 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1076 ,"SOME_CHAR":"76 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.3581244058 ,"SOME_DATE":"1960-05-16" ,"SOME_DATETIME":"1960-01-01 00:56:40" ,"SOME_TIME":"00:01:13" ,"SOME_SHORTNUM":72 ,"SOME_BESTNUM":24 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1077 ,"SOME_CHAR":"77 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.8939921334 ,"SOME_DATE":"1961-01-21" ,"SOME_DATETIME":"1960-01-01 09:16:31" ,"SOME_TIME":"00:01:15" ,"SOME_SHORTNUM":88 ,"SOME_BESTNUM":69 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1078 ,"SOME_CHAR":"78 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.2445727066 ,"SOME_DATE":"1960-12-22" ,"SOME_DATETIME":"1960-01-01 03:11:14" ,"SOME_TIME":"00:01:37" ,"SOME_SHORTNUM":88 ,"SOME_BESTNUM":32 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1079 ,"SOME_CHAR":"79 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.9683029465 ,"SOME_DATE":"1961-08-14" ,"SOME_DATETIME":"1960-01-01 04:45:43" ,"SOME_TIME":"00:01:09" ,"SOME_SHORTNUM":51 ,"SOME_BESTNUM":60 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1080 ,"SOME_CHAR":"80 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.1303541368 ,"SOME_DATE":"1962-02-28" ,"SOME_DATETIME":"1960-01-01 02:14:50" ,"SOME_TIME":"00:00:21" ,"SOME_SHORTNUM":79 ,"SOME_BESTNUM":87 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1081 ,"SOME_CHAR":"81 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.7656979653 ,"SOME_DATE":"1961-08-03" ,"SOME_DATETIME":"1960-01-01 06:49:50" ,"SOME_TIME":"00:01:31" ,"SOME_SHORTNUM":58 ,"SOME_BESTNUM":30 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1082 ,"SOME_CHAR":"82 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.1855629674 ,"SOME_DATE":"1960-12-16" ,"SOME_DATETIME":"1960-01-01 06:27:21" ,"SOME_TIME":"00:00:33" ,"SOME_SHORTNUM":1 ,"SOME_BESTNUM":72 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1083 ,"SOME_CHAR":"83 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.4782178642 ,"SOME_DATE":"1961-04-16" ,"SOME_DATETIME":"1960-01-01 08:05:23" ,"SOME_TIME":"00:01:10" ,"SOME_SHORTNUM":0 ,"SOME_BESTNUM":1 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1084 ,"SOME_CHAR":"84 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.1670272132 ,"SOME_DATE":"1962-06-21" ,"SOME_DATETIME":"1960-01-01 13:43:20" ,"SOME_TIME":"00:00:27" ,"SOME_SHORTNUM":53 ,"SOME_BESTNUM":6 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1085 ,"SOME_CHAR":"85 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.6068249189 ,"SOME_DATE":"1960-05-21" ,"SOME_DATETIME":"1960-01-01 11:05:11" ,"SOME_TIME":"00:00:08" ,"SOME_SHORTNUM":17 ,"SOME_BESTNUM":68 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1086 ,"SOME_CHAR":"86 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.0936049917 ,"SOME_DATE":"1962-07-20" ,"SOME_DATETIME":"1960-01-01 07:16:09" ,"SOME_TIME":"00:00:46" ,"SOME_SHORTNUM":73 ,"SOME_BESTNUM":37 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1087 ,"SOME_CHAR":"87 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.6538249178 ,"SOME_DATE":"1960-04-24" ,"SOME_DATETIME":"1960-01-01 02:06:54" ,"SOME_TIME":"00:00:59" ,"SOME_SHORTNUM":95 ,"SOME_BESTNUM":32 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1088 ,"SOME_CHAR":"88 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.8846158562 ,"SOME_DATE":"1961-11-19" ,"SOME_DATETIME":"1960-01-01 05:35:27" ,"SOME_TIME":"00:01:01" ,"SOME_SHORTNUM":87 ,"SOME_BESTNUM":30 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1089 ,"SOME_CHAR":"89 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.1578208316 ,"SOME_DATE":"1961-03-03" ,"SOME_DATETIME":"1960-01-01 09:02:02" ,"SOME_TIME":"00:00:23" ,"SOME_SHORTNUM":60 ,"SOME_BESTNUM":53 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1090 ,"SOME_CHAR":"90 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.4225753753 ,"SOME_DATE":"1960-03-19" ,"SOME_DATETIME":"1960-01-01 12:14:04" ,"SOME_TIME":"00:01:00" ,"SOME_SHORTNUM":57 ,"SOME_BESTNUM":64 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1091 ,"SOME_CHAR":"91 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.6598943354 ,"SOME_DATE":"1961-09-17" ,"SOME_DATETIME":"1960-01-01 03:03:13" ,"SOME_TIME":"00:01:00" ,"SOME_SHORTNUM":41 ,"SOME_BESTNUM":28 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1092 ,"SOME_CHAR":"92 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.6293501689 ,"SOME_DATE":"1961-10-18" ,"SOME_DATETIME":"1960-01-01 00:21:13" ,"SOME_TIME":"00:01:11" ,"SOME_SHORTNUM":64 ,"SOME_BESTNUM":7 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1093 ,"SOME_CHAR":"93 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.4378844986 ,"SOME_DATE":"1961-06-24" ,"SOME_DATETIME":"1960-01-01 10:20:39" ,"SOME_TIME":"00:00:27" ,"SOME_SHORTNUM":30 ,"SOME_BESTNUM":78 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1094 ,"SOME_CHAR":"94 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.9838584969 ,"SOME_DATE":"1962-05-25" ,"SOME_DATETIME":"1960-01-01 02:59:06" ,"SOME_TIME":"00:00:59" ,"SOME_SHORTNUM":48 ,"SOME_BESTNUM":98 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1095 ,"SOME_CHAR":"95 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.089252377 ,"SOME_DATE":"1961-06-16" ,"SOME_DATETIME":"1960-01-01 04:54:20" ,"SOME_TIME":"00:00:10" ,"SOME_SHORTNUM":75 ,"SOME_BESTNUM":33 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1096 ,"SOME_CHAR":"96 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.4578205154 ,"SOME_DATE":"1960-01-20" ,"SOME_DATETIME":"1960-01-01 10:36:00" ,"SOME_TIME":"00:00:41" ,"SOME_SHORTNUM":14 ,"SOME_BESTNUM":17 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1097 ,"SOME_CHAR":"97 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.5863271587 ,"SOME_DATE":"1962-04-20" ,"SOME_DATETIME":"1960-01-01 11:14:11" ,"SOME_TIME":"00:01:28" ,"SOME_SHORTNUM":66 ,"SOME_BESTNUM":84 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1098 ,"SOME_CHAR":"98 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.2994232058 ,"SOME_DATE":"1960-07-04" ,"SOME_DATETIME":"1960-01-01 08:15:41" ,"SOME_TIME":"00:01:28" ,"SOME_SHORTNUM":99 ,"SOME_BESTNUM":85 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":1099 ,"SOME_CHAR":"99 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.0981378053 ,"SOME_DATE":"1960-02-05" ,"SOME_DATETIME":"1960-01-01 11:10:11" ,"SOME_TIME":"00:00:43" ,"SOME_SHORTNUM":23 ,"SOME_BESTNUM":65 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":10100 ,"SOME_CHAR":"100 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.9829722652 ,"SOME_DATE":"1960-02-01" ,"SOME_DATETIME":"1960-01-01 05:45:06" ,"SOME_TIME":"00:01:16" ,"SOME_SHORTNUM":28 ,"SOME_BESTNUM":44 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":10101 ,"SOME_CHAR":"101 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.4540794913 ,"SOME_DATE":"1962-08-03" ,"SOME_DATETIME":"1960-01-01 09:27:03" ,"SOME_TIME":"00:01:10" ,"SOME_SHORTNUM":42 ,"SOME_BESTNUM":44 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":10102 ,"SOME_CHAR":"102 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.8452174369 ,"SOME_DATE":"1960-10-02" ,"SOME_DATETIME":"1960-01-01 03:08:47" ,"SOME_TIME":"00:00:23" ,"SOME_SHORTNUM":10 ,"SOME_BESTNUM":14 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":10103 ,"SOME_CHAR":"103 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.5904919606 ,"SOME_DATE":"1960-07-30" ,"SOME_DATETIME":"1960-01-01 13:09:58" ,"SOME_TIME":"00:00:10" ,"SOME_SHORTNUM":68 ,"SOME_BESTNUM":53 }
,{"_____DELETE__THIS__RECORD_____":"No" ,"PRIMARY_KEY_FIELD":10104 ,"SOME_CHAR":"104 bottles of beer on the wall" ,"SOME_DROPDOWN":"Option 1" ,"SOME_NUM":0.7083388677 ,"SOME_DATE":"1960-07-24" ,"SOME_DATETIME":"1960-01-01 05:49:50" ,"SOME_TIME":"00:01:29" ,"SOME_SHORTNUM":84 ,"SOME_BESTNUM":33 }
]
, "$sasdata":{"vars":{
"_____DELETE__THIS__RECORD_____" :{"format":"$3." ,"label":"_____DELETE__THIS__RECORD_____" ,"length":"3" ,"type":"char" }
,"PRIMARY_KEY_FIELD" :{"format":"best." ,"label":"PRIMARY_KEY_FIELD" ,"length":"8" ,"type":"num" }
,"SOME_CHAR" :{"format":"$32767." ,"label":"SOME_CHAR" ,"length":"32767" ,"type":"char" }
,"SOME_DROPDOWN" :{"format":"$128." ,"label":"SOME_DROPDOWN" ,"length":"128" ,"type":"char" }
,"SOME_NUM" :{"format":"best." ,"label":"SOME_NUM" ,"length":"8" ,"type":"num" }
,"SOME_DATE" :{"format":"$200." ,"label":"SOME_DATE" ,"length":"200" ,"type":"char" }
,"SOME_DATETIME" :{"format":"$200." ,"label":"SOME_DATETIME" ,"length":"200" ,"type":"char" }
,"SOME_TIME" :{"format":"$200." ,"label":"SOME_TIME" ,"length":"200" ,"type":"char" }
,"SOME_SHORTNUM" :{"format":"best." ,"label":"SOME_SHORTNUM" ,"length":"4" ,"type":"num" }
,"SOME_BESTNUM" :{"format":"BEST." ,"label":"SOME_BESTNUM" ,"length":"8" ,"type":"num" }
}}
, "sasparams":
[
{
"COLHEADERS": "_____DELETE__THIS__RECORD_____,PRIMARY_KEY_FIELD,SOME_CHAR,SOME_DROPDOWN,SOME_NUM,SOME_DATE,SOME_DATETIME,SOME_TIME,SOME_SHORTNUM,SOME_BESTNUM",
"FILTER_TEXT": "${FILTER_TEXT}",
"PKCNT": 1,
"PK": "PRIMARY_KEY_FIELD",
"DTVARS": " SOME_DATE",
"DTTMVARS": " SOME_DATETIME",
"TMVARS": " SOME_TIME",
"COLTYPE": "{\\\"data\\\":\\\"_____DELETE__THIS__RECORD_____\\\",\\\"type\\\":\\\"dropdown\\\",\\\"source\\\":[\\\"No\\\",\\\"Yes\\\"]},{\\\"data\\\":\\\"PRIMARY_KEY_FIELD\\\",\\\"type\\\":\\\"numeric\\\",\\\"format\\\":\\\"0\\\"},{\\\"data\\\":\\\"SOME_CHAR\\\"},{\\\"data\\\":\\\"SOME_DROPDOWN\\\"},{\\\"data\\\":\\\"SOME_NUM\\\",\\\"type\\\":\\\"numeric\\\",\\\"format\\\":\\\"0\\\"},{\\\"data\\\":\\\"SOME_DATE\\\",\\\"type\\\":\\\"date\\\",\\\"dateFormat\\\":\\\"YYYY-MM-DD\\\",\\\"correctFormat\\\":\\\"true\\\"},{\\\"data\\\":\\\"SOME_DATETIME\\\",\\\"type\\\":\\\"date\\\",\\\"dateFormat\\\":\\\"YYYY-MM-DD HH:mm:ss\\\",\\\"correctFormat\\\":\\\"true\\\"},{\\\"data\\\":\\\"SOME_TIME\\\",\\\"type\\\":\\\"time\\\",\\\"timeFormat\\\":\\\"HH:mm:ss\\\",\\\"correctFormat\\\":\\\"true\\\"},{\\\"data\\\":\\\"SOME_SHORTNUM\\\",\\\"type\\\":\\\"numeric\\\",\\\"format\\\":\\\"0\\\"},{\\\"data\\\":\\\"SOME_BESTNUM\\\",\\\"type\\\":\\\"numeric\\\",\\\"format\\\":\\\"0\\\"}",
"LOADTYPE": "UPDATE",
"RK_FLAG": 0,
"CLS_FLAG": 0
}
]
, "xl_rules":
[

]
,"_DEBUG" : ""
,"_METAUSER": "sasdemo@SAS"
,"_METAPERSON": "sasdemo"
,"_PROGRAM" : "/Projects/app/dc/services/editors/getdata"
,"AUTOEXEC" : "D%3A%5Copt%5Csasinside%5CConfig%5CLev1%5CSASApp%5CStoredProcessServer%5Cautoexec.sas"
,"MF_GETUSER" : "sasdemo"
,"SYSCC" : "0"
,"SYSENCODING" : "wlatin1"
,"SYSERRORTEXT" : ""
,"SYSHOSTNAME" : "SAS"
,"SYSPROCESSID" : "41DD8056A491DB23409E940000000000"
,"SYSPROCESSMODE" : "SAS Stored Process Server"
,"SYSPROCESSNAME" : ""
,"SYSJOBID" : "27448"
,"SYSSCPL" : "Linunx"
,"SYSSITE" : "123"
,"SYSUSERID" : "sassrv"
,"SYSVLONG" : "9.04.01M7P080520"
,"SYSWARNINGTEXT" : "ENCODING option ignored for files opened with RECFM=N."
,"END_DTTM" : "2022-09-26T08:30:13.853000"
,"MEMSIZE" : "46GB"
}`,
    MPE_DATADICTIONARY: `{"SYSDATE" : "25NOV22"
,"SYSTIME" : "12:48"
, "approvers":
[
]
, "cols":
[
{"NAME":"DD_LONGDESC" ,"VARNUM":6 ,"LABEL":"DD_LONGDESC" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"DD_OWNER" ,"VARNUM":7 ,"LABEL":"DD_OWNER" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"DD_RESPONSIBLE" ,"VARNUM":8 ,"LABEL":"DD_RESPONSIBLE" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"DD_SENSITIVITY" ,"VARNUM":9 ,"LABEL":"DD_SENSITIVITY" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"DD_SHORTDESC" ,"VARNUM":5 ,"LABEL":"DD_SHORTDESC" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"DD_SOURCE" ,"VARNUM":4 ,"LABEL":"DD_SOURCE" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"DD_TYPE" ,"VARNUM":3 ,"LABEL":"DD_TYPE" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"TX_FROM" ,"VARNUM":1 ,"LABEL":"TX_FROM" ,"FMTNAME":"datetime" ,"DDTYPE":"NUMERIC" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"TX_TO" ,"VARNUM":2 ,"LABEL":"TX_TO" ,"FMTNAME":"datetime" ,"DDTYPE":"NUMERIC" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
]
, "dqdata":
[
{"BASE_COL":"DD_TYPE" ,"RULE_VALUE":"DD_TYPE" ,"RULE_DATA":"COLUMN" ,"SELECTBOX_ORDER":1 }
,{"BASE_COL":"DD_TYPE" ,"RULE_VALUE":"DD_TYPE" ,"RULE_DATA":"TABLE" ,"SELECTBOX_ORDER":2 }
,{"BASE_COL":"DD_TYPE" ,"RULE_VALUE":"DD_TYPE" ,"RULE_DATA":"CATALOG" ,"SELECTBOX_ORDER":3 }
,{"BASE_COL":"DD_TYPE" ,"RULE_VALUE":"DD_TYPE" ,"RULE_DATA":"FORMAT" ,"SELECTBOX_ORDER":3 }
,{"BASE_COL":"DD_TYPE" ,"RULE_VALUE":"DD_TYPE" ,"RULE_DATA":"LIBRARY" ,"SELECTBOX_ORDER":3 }
]
, "dqrules":
[
]
, "dsmeta":
[
{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Data Set Name" ,"VALUE":"MPE_DATADICTIONARY" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Member Type" ,"VALUE":"DATA" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Engine" ,"VALUE":"WPD" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Created" ,"VALUE":"25NOV2022:12:48:00" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Last Modified" ,"VALUE":"25NOV2022:12:48:01" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Observations" ,"VALUE":"6" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Variables" ,"VALUE":"9" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Indexes" ,"VALUE":"1" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Observation Length" ,"VALUE":"34399" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Deleted Observations" ,"VALUE":"0" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Data Set Type" ,"VALUE":"." }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Label" ,"VALUE":"." }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Compressed" ,"VALUE":"NO" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Sorted" ,"VALUE":"NO" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Data Representation" ,"VALUE":"Little endian, IEEE Unix" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Encoding" ,"VALUE":"utf-8 UTF-8 Unicode" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Data Set Page Size" ,"VALUE":"36864" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Number of Data Set Pages" ,"VALUE":"7" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"First Data Page" ,"VALUE":"1" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Max Obs Per Page" ,"VALUE":"1" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Obs In First Data Page" ,"VALUE":"1" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Data Set Diagnostic Code" ,"VALUE":"0009" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Index File Page Size" ,"VALUE":"4096" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Number of Index File Pages" ,"VALUE":"11" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Index Diagnostic Code" ,"VALUE":"0003" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"File Name" ,"VALUE":"/tmp/mihajlo/DC083327/MPE_DATADICTIONARY.wpd" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"WPD Engine Version" ,"VALUE":"3" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Large Data Set Support" ,"VALUE":"no" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Inode Number" ,"VALUE":"1040506" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Access Permission" ,"VALUE":"rw-rw-r--" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Owner Name" ,"VALUE":"mihajlo" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"File Size (bytes)" ,"VALUE":"225280" }
]
, "maxvarlengths":
[
{"NAME":"_____DELETE__THIS__RECORD_____" ,"MAXLEN":3 }
,{"NAME":"DD_TYPE" ,"MAXLEN":9 }
,{"NAME":"DD_SOURCE" ,"MAXLEN":30 }
,{"NAME":"DD_SHORTDESC" ,"MAXLEN":53 }
,{"NAME":"DD_LONGDESC" ,"MAXLEN":90 }
,{"NAME":"DD_OWNER" ,"MAXLEN":7 }
,{"NAME":"DD_RESPONSIBLE" ,"MAXLEN":7 }
,{"NAME":"DD_SENSITIVITY" ,"MAXLEN":3 }
]
, "query":
[
]
, "sasdata":
[
{"_____DELETE__THIS__RECORD_____":"No" ,"DD_TYPE":"COLUMN" ,"DD_SOURCE":"DC083327.MPE_CONFIG.VAR_ACTIVE" ,"DD_SHORTDESC":"Set to 1 to make an option active" ,"DD_LONGDESC":"This value is used as a filter by data controller whenever querying for option settings." ,"DD_OWNER":"mihajlo" ,"DD_RESPONSIBLE":"mihajlo" ,"DD_SENSITIVITY":"Low" }
,{"_____DELETE__THIS__RECORD_____":"No" ,"DD_TYPE":"COLUMN" ,"DD_SOURCE":"DC083327.MPE_TABLES.DSN" ,"DD_SHORTDESC":"Dataset Name to be edited" ,"DD_LONGDESC":"_DSN_ - must be UPCASE" ,"DD_OWNER":"mihajlo" ,"DD_RESPONSIBLE":"mihajlo" ,"DD_SENSITIVITY":"Low" }
,{"_____DELETE__THIS__RECORD_____":"No" ,"DD_TYPE":"DIRECTORY" ,"DD_SOURCE":"/some/directory" ,"DD_SHORTDESC":"Directory for some purpose" ,"DD_LONGDESC":"This directory is great.  It's great directory.      It trumps all other directories." ,"DD_OWNER":"mihajlo" ,"DD_RESPONSIBLE":"mihajlo" ,"DD_SENSITIVITY":"Low" }
,{"_____DELETE__THIS__RECORD_____":"No" ,"DD_TYPE":"LIBRARY" ,"DD_SOURCE":"DC083327" ,"DD_SHORTDESC":"Data Controller Control Tables" ,"DD_LONGDESC":"# The Data Controller Library" ,"DD_OWNER":"mihajlo" ,"DD_RESPONSIBLE":"mihajlo" ,"DD_SENSITIVITY":"Low" }
,{"_____DELETE__THIS__RECORD_____":"No" ,"DD_TYPE":"TABLE" ,"DD_SOURCE":"DC083327" ,"DD_SHORTDESC":"Transaction table for capturing Data Controller users" ,"DD_LONGDESC":"After a user accepts the Data Controller EULA they are registered as a user in this table." ,"DD_OWNER":"mihajlo" ,"DD_RESPONSIBLE":"mihajlo" ,"DD_SENSITIVITY":"Low" }
,{"_____DELETE__THIS__RECORD_____":"No" ,"DD_TYPE":"TABLE" ,"DD_SOURCE":"DC083327.MPE_TABLES" ,"DD_SHORTDESC":"Configuration of new tables for Data Controller" ,"DD_LONGDESC":"# MPE_TABLES - adding new tabels to Data Controller" ,"DD_OWNER":"mihajlo" ,"DD_RESPONSIBLE":"mihajlo" ,"DD_SENSITIVITY":"Low" }
]
, "$sasdata":{"vars":{
"_____DELETE__THIS__RECORD_____" :{"format":"$3." ,"label":"_____DELETE__THIS__RECORD_____" ,"length":"3" ,"type":"char" }
,"DD_TYPE" :{"format":"$16." ,"label":"DD_TYPE" ,"length":"16" ,"type":"char" }
,"DD_SOURCE" :{"format":"$1024." ,"label":"DD_SOURCE" ,"length":"1024" ,"type":"char" }
,"DD_SHORTDESC" :{"format":"$256." ,"label":"DD_SHORTDESC" ,"length":"256" ,"type":"char" }
,"DD_LONGDESC" :{"format":"$32767." ,"label":"DD_LONGDESC" ,"length":"32767" ,"type":"char" }
,"DD_OWNER" :{"format":"$128." ,"label":"DD_OWNER" ,"length":"128" ,"type":"char" }
,"DD_RESPONSIBLE" :{"format":"$128." ,"label":"DD_RESPONSIBLE" ,"length":"128" ,"type":"char" }
,"DD_SENSITIVITY" :{"format":"$64." ,"label":"DD_SENSITIVITY" ,"length":"64" ,"type":"char" }
}}
, "sasparams":
[
{"COLHEADERS":"_____DELETE__THIS__RECORD_____,DD_TYPE,DD_SOURCE,DD_SHORTDESC,DD_LONGDESC,DD_OWNER,DD_RESPONSIBLE,DD_SENSITIVITY" ,"FILTER_TEXT":"(\\\"%sysfunc(datetime(), DATETIME19.3 )\\\"dt < TX_TO )" ,"PKCNT":2 ,"PK":"DD_TYPE DD_SOURCE" ,"DTVARS":"" ,"DTTMVARS":"" ,"TMVARS":"" ,"COLTYPE":"{\\\"data\\\":\\\"_____DELETE__THIS__RECORD_____\\\",\\\"type\\\":\\\"dropdown\\\",\\\"source\\\":[\\\"No\\\",\\\"Yes\\\"]},{\\\"data\\\":\\\"DD_TYPE\\\"},{\\\"data\\\":\\\"DD_SOURCE\\\"},{\\\"data\\\":\\\"DD_SHORTDESC\\\"},{\\\"data\\\":\\\"DD_LONGDESC\\\"},{\\\"data\\\":\\\"DD_OWNER\\\"},{\\\"data\\\":\\\"DD_RESPONSIBLE\\\"},{\\\"data\\\":\\\"DD_SENSITIVITY\\\"}" ,"LOADTYPE":"TXTEMPORAL" ,"RK_FLAG":0 ,"CLS_FLAG":0 }
]
, "xl_rules":
[
{"XL_COLUMN":"DD_LONGDESC" ,"XL_RULE":"FORMULA" }
]
,"_DEBUG" : ""
,"_PROGRAM" : "/30.SASApps/app/dc/services/editors/getdata"
,"AUTOEXEC" : "%2Fhome%2Fmihajlo%2Fsasjs_root%2Fsessions%2F20221125124822-23413-1669380502499%2Fautoexec.sas"
,"MF_GETUSER" : "mihajlo"
,"SYSCC" : "0"
,"SYSENCODING" : "utf-8"
,"SYSERRORTEXT" : ""
,"SYSHOSTINFOLONG" : ""
,"SYSHOSTNAME" : ""
,"SYSPROCESSID" : "1"
,"SYSPROCESSMODE" : "Stored Program"
,"SYSPROCESSNAME" : ""
,"SYSJOBID" : "1084774"
,"SYSSCPL" : "LINUX"
,"SYSSITE" : "123"
,"SYSTCPIPHOSTNAME" : ""
,"SYSUSERID" : "mihajlo"
,"SYSVLONG" : "05.00.00.03.002208"
,"SYSWARNINGTEXT" : ""
,"END_DTTM" : "2022-11-25T12:49:06.877398"
,"MEMSIZE" : "0KB"
}
`,
MPE_USERS: `{"SYSDATE" : "01DEC22"
,"SYSTIME" : "12:40"
, "approvers":
[
]
, "cols":
[
{"NAME":"LAST_SEEN_DT" ,"VARNUM":2 ,"LABEL":"LAST_SEEN_DT" ,"FMTNAME":"date" ,"DDTYPE":"NUMERIC" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"REGISTERED_DT" ,"VARNUM":3 ,"LABEL":"REGISTERED_DT" ,"FMTNAME":"date" ,"DDTYPE":"NUMERIC" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"USER_ID" ,"VARNUM":1 ,"LABEL":"USER_ID" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
]
, "dqdata":
[
]
, "dqrules":
[
]
, "dsmeta":
[
{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Data Set Name" ,"VALUE":"MPE_USERS" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Member Type" ,"VALUE":"DATA" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Engine" ,"VALUE":"WPD" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Created" ,"VALUE":"25NOV2022:12:48:00" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Last Modified" ,"VALUE":"01DEC2022:12:41:16" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Observations" ,"VALUE":"1" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Variables" ,"VALUE":"3" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Indexes" ,"VALUE":"1" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Observation Length" ,"VALUE":"66" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Deleted Observations" ,"VALUE":"0" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Data Set Type" ,"VALUE":"." }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Label" ,"VALUE":"." }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Compressed" ,"VALUE":"NO" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Sorted" ,"VALUE":"NO" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Data Representation" ,"VALUE":"Little endian, IEEE Unix" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Encoding" ,"VALUE":"utf-8 UTF-8 Unicode" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Data Set Page Size" ,"VALUE":"4096" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Number of Data Set Pages" ,"VALUE":"2" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"First Data Page" ,"VALUE":"1" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Max Obs Per Page" ,"VALUE":"61" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Obs In First Data Page" ,"VALUE":"1" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Data Set Diagnostic Code" ,"VALUE":"0009" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Index File Page Size" ,"VALUE":"4096" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Number of Index File Pages" ,"VALUE":"3" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Index Diagnostic Code" ,"VALUE":"0003" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"File Name" ,"VALUE":"/tmp/mihajlo/DC083327/MPE_USERS.wpd" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"WPD Engine Version" ,"VALUE":"3" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Large Data Set Support" ,"VALUE":"no" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Inode Number" ,"VALUE":"1040545" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Access Permission" ,"VALUE":"rw-rw-r--" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Owner Name" ,"VALUE":"mihajlo" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"File Size (bytes)" ,"VALUE":"8192" }
]
, "maxvarlengths":
[
{"NAME":"_____DELETE__THIS__RECORD_____" ,"MAXLEN":3 }
,{"NAME":"USER_ID" ,"MAXLEN":0 }
]
, "query":
[
]
, "sasdata":
[
{"_____DELETE__THIS__RECORD_____":"No" ,"USER_ID":"" }
]
, "$sasdata":{"vars":{
"_____DELETE__THIS__RECORD_____" :{"format":"$3." ,"label":"_____DELETE__THIS__RECORD_____" ,"length":"3" ,"type":"char" }
,"USER_ID" :{"format":"$50." ,"label":"USER_ID" ,"length":"50" ,"type":"char" }
}}
, "sasparams":
[
{"COLHEADERS":"_____DELETE__THIS__RECORD_____,USER_ID" ,"FILTER_TEXT":"(\\"%sysfunc(datetime(), DATETIME19.3 )\\"dt < REGISTERED_DT )" ,"PKCNT":1 ,"PK":"USER_ID" ,"DTVARS":"" ,"DTTMVARS":"" ,"TMVARS":"" ,"COLTYPE":"{\\"data\\":\\"_____DELETE__THIS__RECORD_____\\",\\"type\\":\\"dropdown\\",\\"source\\":[\\"No\\",\\"Yes\\"]},{\\"data\\":\\"USER_ID\\"}" ,"LOADTYPE":"UPDATE" ,"RK_FLAG":0 ,"CLS_FLAG":0 }
]
, "xl_rules":
[
]
,"_DEBUG" : ""
,"_PROGRAM" : "/30.SASApps/app/dc/services/editors/getdata"
,"AUTOEXEC" : "%2Fhome%2Fmihajlo%2Fsasjs_root%2Fsessions%2F20221201124053-21286-1669898453493%2Fautoexec.sas"
,"MF_GETUSER" : "mihajlo"
,"SYSCC" : "0"
,"SYSENCODING" : "utf-8"
,"SYSERRORTEXT" : ""
,"SYSHOSTINFOLONG" : ""
,"SYSHOSTNAME" : "sas.4gl.io"
,"SYSPROCESSID" : "41DD9626156A45BB0000000000000000"
,"SYSPROCESSMODE" : "Stored Program"
,"SYSPROCESSNAME" : ""
,"SYSJOBID" : "1146134"
,"SYSSCPL" : "LINUX"
,"SYSSITE" : "123"
,"SYSTCPIPHOSTNAME" : "https://sas.4gl.io:5002"
,"SYSUSERID" : "mihajlo"
,"SYSVLONG" : "05.00.00.03.002208"
,"SYSWARNINGTEXT" : ""
,"END_DTTM" : "2022-12-01T12:41:23.940217"
,"MEMSIZE" : "0KB"
}
`,
MPE_TABLES: `{"SYSDATE" : "10MAR23"
,"SYSTIME" : "12:38"
, "approvers":
[
]
, "cols":
[
{"NAME":"AUDIT_LIBDS" ,"VARNUM":22 ,"LABEL":"AUDIT_LIBDS" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"BUSKEY" ,"VARNUM":7 ,"LABEL":"BUSKEY" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"CLOSE_VARS" ,"VARNUM":13 ,"LABEL":"CLOSE_VARS" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"DSN" ,"VARNUM":4 ,"LABEL":"DSN" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"LIBREF" ,"VARNUM":3 ,"LABEL":"LIBREF" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"LOADTYPE" ,"VARNUM":6 ,"LABEL":"LOADTYPE" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"NOTES" ,"VARNUM":20 ,"LABEL":"NOTES" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"NUM_OF_APPROVALS_REQUIRED" ,"VARNUM":5 ,"LABEL":"NUM_OF_APPROVALS_REQUIRED" ,"FMTNAME":"" ,"DDTYPE":"NUMERIC" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"POST_APPROVE_HOOK" ,"VARNUM":17 ,"LABEL":"POST_APPROVE_HOOK" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"POST_EDIT_HOOK" ,"VARNUM":15 ,"LABEL":"POST_EDIT_HOOK" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"PRE_APPROVE_HOOK" ,"VARNUM":16 ,"LABEL":"PRE_APPROVE_HOOK" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"PRE_EDIT_HOOK" ,"VARNUM":14 ,"LABEL":"PRE_EDIT_HOOK" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"RK_UNDERLYING" ,"VARNUM":21 ,"LABEL":"RK_UNDERLYING" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"SIGNOFF_COLS" ,"VARNUM":18 ,"LABEL":"SIGNOFF_COLS" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"SIGNOFF_HOOK" ,"VARNUM":19 ,"LABEL":"SIGNOFF_HOOK" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"TX_FROM" ,"VARNUM":1 ,"LABEL":"TX_FROM" ,"FMTNAME":"DATETIME" ,"DDTYPE":"DATETIME" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"TX_TO" ,"VARNUM":2 ,"LABEL":"TX_TO" ,"FMTNAME":"DATETIME" ,"DDTYPE":"DATETIME" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"VAR_BUSFROM" ,"VARNUM":10 ,"LABEL":"VAR_BUSFROM" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"VAR_BUSTO" ,"VARNUM":11 ,"LABEL":"VAR_BUSTO" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"VAR_PROCESSED" ,"VARNUM":12 ,"LABEL":"VAR_PROCESSED" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"VAR_TXFROM" ,"VARNUM":8 ,"LABEL":"VAR_TXFROM" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
,{"NAME":"VAR_TXTO" ,"VARNUM":9 ,"LABEL":"VAR_TXTO" ,"FMTNAME":"" ,"DDTYPE":"CHARACTER" ,"CLS_RULE":"READ" ,"MEMLABEL":"" ,"DESC":"" ,"LONGDESC":"" }
]
, "dqdata":
[
{"BASE_COL":"LOADTYPE" ,"RULE_VALUE":"LOADTYPE" ,"RULE_DATA":"UPDATE" ,"SELECTBOX_ORDER":1 }
,{"BASE_COL":"LOADTYPE" ,"RULE_VALUE":"LOADTYPE" ,"RULE_DATA":"REPLACE" ,"SELECTBOX_ORDER":2 }
,{"BASE_COL":"LOADTYPE" ,"RULE_VALUE":"LOADTYPE" ,"RULE_DATA":"TXTEMPORAL" ,"SELECTBOX_ORDER":3 }
,{"BASE_COL":"LOADTYPE" ,"RULE_VALUE":"LOADTYPE" ,"RULE_DATA":"BITEMPORAL" ,"SELECTBOX_ORDER":4 }
,{"BASE_COL":"LOADTYPE" ,"RULE_VALUE":"LOADTYPE" ,"RULE_DATA":"FORMAT_CAT" ,"SELECTBOX_ORDER":5 }
]
, "dqrules":
[
{"BASE_COL":"BUSKEY" ,"RULE_TYPE":"CASE" ,"RULE_VALUE":"UPCASE" ,"X":0 }
,{"BASE_COL":"BUSKEY" ,"RULE_TYPE":"NOTNULL" ,"RULE_VALUE":"" ,"X":0 }
,{"BASE_COL":"DSN" ,"RULE_TYPE":"CASE" ,"RULE_VALUE":"UPCASE" ,"X":0 }
,{"BASE_COL":"DSN" ,"RULE_TYPE":"NOTNULL" ,"RULE_VALUE":"" ,"X":0 }
,{"BASE_COL":"DSN" ,"RULE_TYPE":"SOFTSELECT_HOOK" ,"RULE_VALUE":"services/validations/mpe_tables.dsn" ,"X":0 }
,{"BASE_COL":"LIBREF" ,"RULE_TYPE":"CASE" ,"RULE_VALUE":"UPCASE" ,"X":0 }
,{"BASE_COL":"LIBREF" ,"RULE_TYPE":"NOTNULL" ,"RULE_VALUE":"" ,"X":0 }
,{"BASE_COL":"LIBREF" ,"RULE_TYPE":"SOFTSELECT_HOOK" ,"RULE_VALUE":"services/validations/libraries_all" ,"X":0 }
,{"BASE_COL":"NUM_OF_APPROVALS_REQUIRED" ,"RULE_TYPE":"MINVAL" ,"RULE_VALUE":"1" ,"X":0 }
,{"BASE_COL":"VAR_BUSFROM" ,"RULE_TYPE":"CASE" ,"RULE_VALUE":"UPCASE" ,"X":0 }
,{"BASE_COL":"VAR_BUSFROM" ,"RULE_TYPE":"SOFTSELECT_HOOK" ,"RULE_VALUE":"services/validations/columns_in_libds" ,"X":0 }
,{"BASE_COL":"VAR_BUSTO" ,"RULE_TYPE":"CASE" ,"RULE_VALUE":"UPCASE" ,"X":0 }
,{"BASE_COL":"VAR_BUSTO" ,"RULE_TYPE":"SOFTSELECT_HOOK" ,"RULE_VALUE":"services/validations/columns_in_libds" ,"X":0 }
,{"BASE_COL":"VAR_PROCESSED" ,"RULE_TYPE":"CASE" ,"RULE_VALUE":"UPCASE" ,"X":0 }
,{"BASE_COL":"VAR_PROCESSED" ,"RULE_TYPE":"SOFTSELECT_HOOK" ,"RULE_VALUE":"services/validations/columns_in_libds" ,"X":0 }
,{"BASE_COL":"VAR_TXFROM" ,"RULE_TYPE":"CASE" ,"RULE_VALUE":"UPCASE" ,"X":0 }
,{"BASE_COL":"VAR_TXFROM" ,"RULE_TYPE":"SOFTSELECT_HOOK" ,"RULE_VALUE":"services/validations/columns_in_libds" ,"X":0 }
,{"BASE_COL":"VAR_TXTO" ,"RULE_TYPE":"CASE" ,"RULE_VALUE":"UPCASE" ,"X":0 }
,{"BASE_COL":"VAR_TXTO" ,"RULE_TYPE":"SOFTSELECT_HOOK" ,"RULE_VALUE":"services/validations/columns_in_libds" ,"X":0 }
]
, "dsmeta":
[
{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Data Set Name" ,"VALUE":"DC200241.MPE_TABLES" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Observations" ,"VALUE":"14" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Member Type" ,"VALUE":"DATA" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Variables" ,"VALUE":"22" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Engine" ,"VALUE":"V9" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Indexes" ,"VALUE":"1" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Created" ,"VALUE":"14/02/2023 17:21:19" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Integrity Constraints" ,"VALUE":"4" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Last Modified" ,"VALUE":"14/02/2023 17:21:19" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Observation Length" ,"VALUE":"5280" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Protection" ,"VALUE":"." }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Deleted Observations" ,"VALUE":"0" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Data Set Type" ,"VALUE":"." }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Compressed" ,"VALUE":"NO" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Label" ,"VALUE":"." }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Sorted" ,"VALUE":"NO" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Data Representation" ,"VALUE":"SOLARIS_X86_64, LINUX_X86_64, ALPHA_TRU64, LINUX_IA64" }
,{"ODS_TABLE":"ATTRIBUTES" ,"NAME":"Encoding" ,"VALUE":"utf-8  Unicode (UTF-8)" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Data Set Page Size" ,"VALUE":"131072" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Number of Data Set Pages" ,"VALUE":"2" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"First Data Page" ,"VALUE":"1" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Max Obs per Page" ,"VALUE":"24" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Obs in First Data Page" ,"VALUE":"14" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Index File Page Size" ,"VALUE":"8192" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Number of Index File Pages" ,"VALUE":"2" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Number of Data Set Repairs" ,"VALUE":"0" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Filename" ,"VALUE":"/tmp/DataController/DC200241/mpe_tables.sas7bdat" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Release Created" ,"VALUE":"9.0401M7" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Host Created" ,"VALUE":"Linux" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Inode Number" ,"VALUE":"20976367" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Access Permission" ,"VALUE":"rw-rw-r--" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"Owner Name" ,"VALUE":"sasjssrv" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"File Size" ,"VALUE":"384KB" }
,{"ODS_TABLE":"ENGINEHOST" ,"NAME":"File Size (bytes)" ,"VALUE":"393216" }
]
, "maxvarlengths":
[
{"NAME":"_____DELETE__THIS__RECORD_____" ,"MAXLEN":3 }
,{"NAME":"LIBREF" ,"MAXLEN":8 }
,{"NAME":"DSN" ,"MAXLEN":25 }
,{"NAME":"num_of_approvals_required" ,"MAXLEN":3 }
,{"NAME":"loadtype" ,"MAXLEN":10 }
,{"NAME":"buskey" ,"MAXLEN":56 }
,{"NAME":"var_txfrom" ,"MAXLEN":13 }
,{"NAME":"var_txto" ,"MAXLEN":11 }
,{"NAME":"var_busfrom" ,"MAXLEN":0 }
,{"NAME":"var_busto" ,"MAXLEN":0 }
,{"NAME":"var_processed" ,"MAXLEN":0 }
,{"NAME":"close_vars" ,"MAXLEN":0 }
,{"NAME":"pre_edit_hook" ,"MAXLEN":0 }
,{"NAME":"post_edit_hook" ,"MAXLEN":49 }
,{"NAME":"pre_approve_hook" ,"MAXLEN":0 }
,{"NAME":"post_approve_hook" ,"MAXLEN":0 }
,{"NAME":"signoff_cols" ,"MAXLEN":0 }
,{"NAME":"signoff_hook" ,"MAXLEN":0 }
,{"NAME":"notes" ,"MAXLEN":62 }
,{"NAME":"rk_underlying" ,"MAXLEN":137 }
,{"NAME":"audit_libds" ,"MAXLEN":0 }
]
, "query":
[
]
, "sasdata":
[
{"_____DELETE__THIS__RECORD_____":"No" ,"LIBREF":"DC200241" ,"DSN":"MPE_ALERTS" ,"NUM_OF_APPROVALS_REQUIRED":1 ,"LOADTYPE":"TXTEMPORAL" ,"BUSKEY":"ALERT_EVENT ALERT_LIB ALERT_DS ALERT_USER" ,"VAR_TXFROM":"TX_FROM" ,"VAR_TXTO":"TX_TO" ,"VAR_BUSFROM":"" ,"VAR_BUSTO":"" ,"VAR_PROCESSED":"" ,"CLOSE_VARS":"" ,"PRE_EDIT_HOOK":"" ,"POST_EDIT_HOOK":"" ,"PRE_APPROVE_HOOK":"" ,"POST_APPROVE_HOOK":"" ,"SIGNOFF_COLS":"" ,"SIGNOFF_HOOK":"" ,"NOTES":"Configuration for alert email events" ,"RK_UNDERLYING":"" ,"AUDIT_LIBDS":"" }
,{"_____DELETE__THIS__RECORD_____":"No" ,"LIBREF":"DC200241" ,"DSN":"MPE_COLUMN_LEVEL_SECURITY" ,"NUM_OF_APPROVALS_REQUIRED":1 ,"LOADTYPE":"TXTEMPORAL" ,"BUSKEY":"CLS_SCOPE CLS_GROUP CLS_LIBREF CLS_TABLE CLS_VARIABLE_NM" ,"VAR_TXFROM":"TX_FROM" ,"VAR_TXTO":"TX_TO" ,"VAR_BUSFROM":"" ,"VAR_BUSTO":"" ,"VAR_PROCESSED":"" ,"CLOSE_VARS":"" ,"PRE_EDIT_HOOK":"" ,"POST_EDIT_HOOK":"services/hooks/mpe_column_level_security_postedit" ,"PRE_APPROVE_HOOK":"" ,"POST_APPROVE_HOOK":"" ,"SIGNOFF_COLS":"" ,"SIGNOFF_HOOK":"" ,"NOTES":"Docs: https://docs.datacontroller.io/column-level-security" ,"RK_UNDERLYING":"" ,"AUDIT_LIBDS":"" }
,{"_____DELETE__THIS__RECORD_____":"No" ,"LIBREF":"DC200241" ,"DSN":"MPE_CONFIG" ,"NUM_OF_APPROVALS_REQUIRED":1 ,"LOADTYPE":"TXTEMPORAL" ,"BUSKEY":"VAR_SCOPE VAR_NAME" ,"VAR_TXFROM":"TX_FROM" ,"VAR_TXTO":"TX_TO" ,"VAR_BUSFROM":"" ,"VAR_BUSTO":"" ,"VAR_PROCESSED":"" ,"CLOSE_VARS":"" ,"PRE_EDIT_HOOK":"" ,"POST_EDIT_HOOK":"" ,"PRE_APPROVE_HOOK":"" ,"POST_APPROVE_HOOK":"" ,"SIGNOFF_COLS":"" ,"SIGNOFF_HOOK":"" ,"NOTES":"Configuration variables for Data Controller" ,"RK_UNDERLYING":"" ,"AUDIT_LIBDS":"" }
,{"_____DELETE__THIS__RECORD_____":"No" ,"LIBREF":"DC200241" ,"DSN":"MPE_DATADICTIONARY" ,"NUM_OF_APPROVALS_REQUIRED":1 ,"LOADTYPE":"TXTEMPORAL" ,"BUSKEY":"DD_TYPE DD_SOURCE" ,"VAR_TXFROM":"TX_FROM" ,"VAR_TXTO":"TX_TO" ,"VAR_BUSFROM":"" ,"VAR_BUSTO":"" ,"VAR_PROCESSED":"" ,"CLOSE_VARS":"" ,"PRE_EDIT_HOOK":"" ,"POST_EDIT_HOOK":"" ,"PRE_APPROVE_HOOK":"" ,"POST_APPROVE_HOOK":"" ,"SIGNOFF_COLS":"" ,"SIGNOFF_HOOK":"" ,"NOTES":"Configuration of data dictionary" ,"RK_UNDERLYING":"" ,"AUDIT_LIBDS":"" }
,{"_____DELETE__THIS__RECORD_____":"No" ,"LIBREF":"DC200241" ,"DSN":"MPE_EMAILS" ,"NUM_OF_APPROVALS_REQUIRED":1 ,"LOADTYPE":"TXTEMPORAL" ,"BUSKEY":"USER_NAME" ,"VAR_TXFROM":"TX_FROM" ,"VAR_TXTO":"TX_TO" ,"VAR_BUSFROM":"" ,"VAR_BUSTO":"" ,"VAR_PROCESSED":"" ,"CLOSE_VARS":"" ,"PRE_EDIT_HOOK":"" ,"POST_EDIT_HOOK":"" ,"PRE_APPROVE_HOOK":"" ,"POST_APPROVE_HOOK":"" ,"SIGNOFF_COLS":"" ,"SIGNOFF_HOOK":"" ,"NOTES":"Primary Emails Table (backup is metadata)" ,"RK_UNDERLYING":"" ,"AUDIT_LIBDS":"" }
,{"_____DELETE__THIS__RECORD_____":"No" ,"LIBREF":"DC200241" ,"DSN":"MPE_EXCEL_CONFIG" ,"NUM_OF_APPROVALS_REQUIRED":1 ,"LOADTYPE":"TXTEMPORAL" ,"BUSKEY":"XL_LIBREF XL_TABLE XL_COLUMN" ,"VAR_TXFROM":"TX_FROM" ,"VAR_TXTO":"TX_TO" ,"VAR_BUSFROM":"" ,"VAR_BUSTO":"" ,"VAR_PROCESSED":"" ,"CLOSE_VARS":"" ,"PRE_EDIT_HOOK":"" ,"POST_EDIT_HOOK":"" ,"PRE_APPROVE_HOOK":"" ,"POST_APPROVE_HOOK":"" ,"SIGNOFF_COLS":"" ,"SIGNOFF_HOOK":"" ,"NOTES":"Configuration of the excel import rules" ,"RK_UNDERLYING":"" ,"AUDIT_LIBDS":"" }
,{"_____DELETE__THIS__RECORD_____":"No" ,"LIBREF":"DC200241" ,"DSN":"MPE_GROUPS" ,"NUM_OF_APPROVALS_REQUIRED":1 ,"LOADTYPE":"TXTEMPORAL" ,"BUSKEY":"GROUP_NAME USER_NAME" ,"VAR_TXFROM":"TX_FROM" ,"VAR_TXTO":"TX_TO" ,"VAR_BUSFROM":"" ,"VAR_BUSTO":"" ,"VAR_PROCESSED":"" ,"CLOSE_VARS":"" ,"PRE_EDIT_HOOK":"" ,"POST_EDIT_HOOK":"" ,"PRE_APPROVE_HOOK":"" ,"POST_APPROVE_HOOK":"" ,"SIGNOFF_COLS":"" ,"SIGNOFF_HOOK":"" ,"NOTES":"Configuration for additional groups within Data Controller" ,"RK_UNDERLYING":"" ,"AUDIT_LIBDS":"" }
,{"_____DELETE__THIS__RECORD_____":"No" ,"LIBREF":"DC200241" ,"DSN":"MPE_LOCKANYTABLE" ,"NUM_OF_APPROVALS_REQUIRED":1 ,"LOADTYPE":"UPDATE" ,"BUSKEY":"LOCK_LIB LOCK_DS" ,"VAR_TXFROM":"" ,"VAR_TXTO":"" ,"VAR_BUSFROM":"" ,"VAR_BUSTO":"" ,"VAR_PROCESSED":"" ,"CLOSE_VARS":"" ,"PRE_EDIT_HOOK":"" ,"POST_EDIT_HOOK":"" ,"PRE_APPROVE_HOOK":"" ,"POST_APPROVE_HOOK":"" ,"SIGNOFF_COLS":"" ,"SIGNOFF_HOOK":"" ,"NOTES":"This table may be edited when a process failed and left a lock" ,"RK_UNDERLYING":"" ,"AUDIT_LIBDS":"" }
,{"_____DELETE__THIS__RECORD_____":"No" ,"LIBREF":"DC200241" ,"DSN":"MPE_ROW_LEVEL_SECURITY" ,"NUM_OF_APPROVALS_REQUIRED":1 ,"LOADTYPE":"TXTEMPORAL" ,"BUSKEY":"RLS_RK" ,"VAR_TXFROM":"TX_FROM" ,"VAR_TXTO":"TX_TO" ,"VAR_BUSFROM":"" ,"VAR_BUSTO":"" ,"VAR_PROCESSED":"" ,"CLOSE_VARS":"" ,"PRE_EDIT_HOOK":"" ,"POST_EDIT_HOOK":"services/hooks/mpe_row_level_security_postedit" ,"PRE_APPROVE_HOOK":"" ,"POST_APPROVE_HOOK":"" ,"SIGNOFF_COLS":"" ,"SIGNOFF_HOOK":"" ,"NOTES":"Configuration of Row Level Security" ,"RK_UNDERLYING":"RLS_SCOPE RLS_GROUP RLS_LIBREF RLS_TABLE RLS_GROUP_LOGIC RLS_SUBGROUP_LOGIC RLS_SUBGROUP_ID RLS_VARIABLE_NM RLS_OPERATOR_NM RLS_RAW_VALUE" ,"AUDIT_LIBDS":"" }
,{"_____DELETE__THIS__RECORD_____":"No" ,"LIBREF":"DC200241" ,"DSN":"MPE_SECURITY" ,"NUM_OF_APPROVALS_REQUIRED":1 ,"LOADTYPE":"TXTEMPORAL" ,"BUSKEY":"LIBREF DSN ACCESS_LEVEL SAS_GROUP" ,"VAR_TXFROM":"TX_FROM" ,"VAR_TXTO":"TX_TO" ,"VAR_BUSFROM":"" ,"VAR_BUSTO":"" ,"VAR_PROCESSED":"" ,"CLOSE_VARS":"" ,"PRE_EDIT_HOOK":"" ,"POST_EDIT_HOOK":"" ,"PRE_APPROVE_HOOK":"" ,"POST_APPROVE_HOOK":"" ,"SIGNOFF_COLS":"" ,"SIGNOFF_HOOK":"" ,"NOTES":"Shows which metadata groups can edit which tables" ,"RK_UNDERLYING":"" ,"AUDIT_LIBDS":"" }
,{"_____DELETE__THIS__RECORD_____":"No" ,"LIBREF":"DC200241" ,"DSN":"MPE_SELECTBOX" ,"NUM_OF_APPROVALS_REQUIRED":1 ,"LOADTYPE":"TXTEMPORAL" ,"BUSKEY":"SELECTBOX_RK" ,"VAR_TXFROM":"VER_FROM_DTTM" ,"VAR_TXTO":"VER_TO_DTTM" ,"VAR_BUSFROM":"" ,"VAR_BUSTO":"" ,"VAR_PROCESSED":"" ,"CLOSE_VARS":"" ,"PRE_EDIT_HOOK":"" ,"POST_EDIT_HOOK":"" ,"PRE_APPROVE_HOOK":"" ,"POST_APPROVE_HOOK":"" ,"SIGNOFF_COLS":"" ,"SIGNOFF_HOOK":"" ,"NOTES":"Can configure dropdowns for the front end" ,"RK_UNDERLYING":"SELECT_LIB SELECT_DS BASE_COLUMN SELECTBOX_VALUE" ,"AUDIT_LIBDS":"" }
,{"_____DELETE__THIS__RECORD_____":"No" ,"LIBREF":"DC200241" ,"DSN":"MPE_TABLES" ,"NUM_OF_APPROVALS_REQUIRED":1 ,"LOADTYPE":"TXTEMPORAL" ,"BUSKEY":"LIBREF DSN" ,"VAR_TXFROM":"TX_FROM" ,"VAR_TXTO":"TX_TO" ,"VAR_BUSFROM":"" ,"VAR_BUSTO":"" ,"VAR_PROCESSED":"" ,"CLOSE_VARS":"" ,"PRE_EDIT_HOOK":"" ,"POST_EDIT_HOOK":"services/hooks/mpe_tables_postedit" ,"PRE_APPROVE_HOOK":"" ,"POST_APPROVE_HOOK":"" ,"SIGNOFF_COLS":"" ,"SIGNOFF_HOOK":"" ,"NOTES":"This entry allows the MP Editor to edit itself!" ,"RK_UNDERLYING":"" ,"AUDIT_LIBDS":"" }
,{"_____DELETE__THIS__RECORD_____":"No" ,"LIBREF":"DC200241" ,"DSN":"MPE_VALIDATIONS" ,"NUM_OF_APPROVALS_REQUIRED":1 ,"LOADTYPE":"TXTEMPORAL" ,"BUSKEY":"BASE_LIB BASE_DS BASE_COL RULE_TYPE" ,"VAR_TXFROM":"TX_FROM" ,"VAR_TXTO":"TX_TO" ,"VAR_BUSFROM":"" ,"VAR_BUSTO":"" ,"VAR_PROCESSED":"" ,"CLOSE_VARS":"" ,"PRE_EDIT_HOOK":"" ,"POST_EDIT_HOOK":"services/hooks/mpe_validations_postedit" ,"PRE_APPROVE_HOOK":"" ,"POST_APPROVE_HOOK":"" ,"SIGNOFF_COLS":"" ,"SIGNOFF_HOOK":"" ,"NOTES":"Configuration of data quality rules in Editor component" ,"RK_UNDERLYING":"" ,"AUDIT_LIBDS":"" }
,{"_____DELETE__THIS__RECORD_____":"No" ,"LIBREF":"DC200241" ,"DSN":"MPE_X_TEST" ,"NUM_OF_APPROVALS_REQUIRED":1 ,"LOADTYPE":"UPDATE" ,"BUSKEY":"PRIMARY_KEY_FIELD" ,"VAR_TXFROM":"" ,"VAR_TXTO":"" ,"VAR_BUSFROM":"" ,"VAR_BUSTO":"" ,"VAR_PROCESSED":"" ,"CLOSE_VARS":"" ,"PRE_EDIT_HOOK":"" ,"POST_EDIT_HOOK":"" ,"PRE_APPROVE_HOOK":"" ,"POST_APPROVE_HOOK":"" ,"SIGNOFF_COLS":"" ,"SIGNOFF_HOOK":"" ,"NOTES":"Test table for controller" ,"RK_UNDERLYING":"" ,"AUDIT_LIBDS":"" }
]
, "$sasdata":{"vars":{
"_____DELETE__THIS__RECORD_____" :{"format":"$3." ,"label":"_____DELETE__THIS__RECORD_____" ,"length":"3" ,"type":"char" }
,"LIBREF" :{"format":"$8." ,"label":"LIBREF" ,"length":"8" ,"type":"char" }
,"DSN" :{"format":"$32." ,"label":"DSN" ,"length":"32" ,"type":"char" }
,"NUM_OF_APPROVALS_REQUIRED" :{"format":"best." ,"label":"NUM_OF_APPROVALS_REQUIRED" ,"length":"8" ,"type":"num" }
,"LOADTYPE" :{"format":"$12." ,"label":"LOADTYPE" ,"length":"12" ,"type":"char" }
,"BUSKEY" :{"format":"$1000." ,"label":"BUSKEY" ,"length":"1000" ,"type":"char" }
,"VAR_TXFROM" :{"format":"$32." ,"label":"VAR_TXFROM" ,"length":"32" ,"type":"char" }
,"VAR_TXTO" :{"format":"$32." ,"label":"VAR_TXTO" ,"length":"32" ,"type":"char" }
,"VAR_BUSFROM" :{"format":"$32." ,"label":"VAR_BUSFROM" ,"length":"32" ,"type":"char" }
,"VAR_BUSTO" :{"format":"$32." ,"label":"VAR_BUSTO" ,"length":"32" ,"type":"char" }
,"VAR_PROCESSED" :{"format":"$32." ,"label":"VAR_PROCESSED" ,"length":"32" ,"type":"char" }
,"CLOSE_VARS" :{"format":"$500." ,"label":"CLOSE_VARS" ,"length":"500" ,"type":"char" }
,"PRE_EDIT_HOOK" :{"format":"$200." ,"label":"PRE_EDIT_HOOK" ,"length":"200" ,"type":"char" }
,"POST_EDIT_HOOK" :{"format":"$200." ,"label":"POST_EDIT_HOOK" ,"length":"200" ,"type":"char" }
,"PRE_APPROVE_HOOK" :{"format":"$200." ,"label":"PRE_APPROVE_HOOK" ,"length":"200" ,"type":"char" }
,"POST_APPROVE_HOOK" :{"format":"$200." ,"label":"POST_APPROVE_HOOK" ,"length":"200" ,"type":"char" }
,"SIGNOFF_COLS" :{"format":"$500." ,"label":"SIGNOFF_COLS" ,"length":"500" ,"type":"char" }
,"SIGNOFF_HOOK" :{"format":"$200." ,"label":"SIGNOFF_HOOK" ,"length":"200" ,"type":"char" }
,"NOTES" :{"format":"$1000." ,"label":"NOTES" ,"length":"1000" ,"type":"char" }
,"RK_UNDERLYING" :{"format":"$1000." ,"label":"RK_UNDERLYING" ,"length":"1000" ,"type":"char" }
,"AUDIT_LIBDS" :{"format":"$41." ,"label":"AUDIT_LIBDS" ,"length":"41" ,"type":"char" }
}}
, "sasparams":
[
{"COLHEADERS":"_____DELETE__THIS__RECORD_____,LIBREF,DSN,NUM_OF_APPROVALS_REQUIRED,LOADTYPE,BUSKEY,VAR_TXFROM,VAR_TXTO,VAR_BUSFROM,VAR_BUSTO,VAR_PROCESSED,CLOSE_VARS,PRE_EDIT_HOOK,POST_EDIT_HOOK,PRE_APPROVE_HOOK,POST_APPROVE_HOOK,SIGNOFF_COLS,SIGNOFF_HOOK,NOTES,RK_UNDERLYING,AUDIT_LIBDS" ,"FILTER_TEXT":"(\\"%sysfunc(datetime(), E8601DT26.6 )\\"dt < TX_TO )" ,"PKCNT":2 ,"PK":"LIBREF DSN" ,"DTVARS":"" ,"DTTMVARS":"" ,"TMVARS":"" ,"COLTYPE":"{\\"data\\":\\"_____DELETE__THIS__RECORD_____\\",\\"type\\":\\"dropdown\\",\\"source\\":[\\"No\\",\\"Yes\\"]},{\\"data\\":\\"LIBREF\\"},{\\"data\\":\\"DSN\\"},{\\"data\\":\\"NUM_OF_APPROVALS_REQUIRED\\",\\"type\\":\\"numeric\\",\\"format\\":\\"0\\"},{\\"data\\":\\"LOADTYPE\\"},{\\"data\\":\\"BUSKEY\\"},{\\"data\\":\\"VAR_TXFROM\\"},{\\"data\\":\\"VAR_TXTO\\"},{\\"data\\":\\"VAR_BUSFROM\\"},{\\"data\\":\\"VAR_BUSTO\\"},{\\"data\\":\\"VAR_PROCESSED\\"},{\\"data\\":\\"CLOSE_VARS\\"},{\\"data\\":\\"PRE_EDIT_HOOK\\"},{\\"data\\":\\"POST_EDIT_HOOK\\"},{\\"data\\":\\"PRE_APPROVE_HOOK\\"},{\\"data\\":\\"POST_APPROVE_HOOK\\"},{\\"data\\":\\"SIGNOFF_COLS\\"},{\\"data\\":\\"SIGNOFF_HOOK\\"},{\\"data\\":\\"NOTES\\"},{\\"data\\":\\"RK_UNDERLYING\\"},{\\"data\\":\\"AUDIT_LIBDS\\"}" ,"LOADTYPE":"TXTEMPORAL" ,"RK_FLAG":0 ,"CLS_FLAG":0 }
]
, "xl_rules":
[
]
,"_DEBUG" : ""
,"_PROGRAM" : "/Public/app/dc/services/editors/getdata"
,"AUTOEXEC" : "%2Fhome%2Fsasjssrv%2Fsasjs_root%2Fsessions%2F20230310113844-59661-1678448324767%2Fautoexec.sas"
,"MF_GETUSER" : "mihajlo"
,"SYSCC" : "0"
,"SYSENCODING" : "utf-8"
,"SYSERRORTEXT" : ""
,"SYSHOSTINFOLONG" : "Linux LIN X64 3.10.0-1160.76.1.el7.x86_64 #1 SMP Wed Aug 10 16:21:17 UTC 2022 x86_64 CentOS Linux release 7.9.2009 (Core)"
,"SYSHOSTNAME" : "CentOS-79-64-minimal"
,"SYSPROCESSID" : "41DDB6C7153602864018000000000000"
,"SYSPROCESSMODE" : "SAS Batch Mode"
,"SYSPROCESSNAME" : ""
,"SYSJOBID" : "24007"
,"SYSSCPL" : "Linux"
,"SYSSITE" : "123"
,"SYSTCPIPHOSTNAME" : "CentOS-79-64-minimal"
,"SYSUSERID" : "sasjssrv"
,"SYSVLONG" : "9.04.01M7P080520"
,"SYSWARNINGTEXT" : "ENCODING option ignored for files opened with RECFM=N."
,"END_DTTM" : "2023-03-10T12:39:16.070656"
,"MEMSIZE" : "2GB"
}
`
}

let table = 'MPE_X_TEST'

if (_WEBIN_FILEREF1) {
    const file1 = _WEBIN_FILEREF1.toString()

    if (file1.includes('MPE_X_TEST')) {
        table = 'MPE_X_TEST'
    } else if (file1.includes('MPE_DATADICTIONARY')) {
        table = "MPE_DATADICTIONARY"
    } else if (file1.includes('MPE_USERS')) {
        table = "MPE_USERS"
    } else if (file1.includes('MPE_TABLES')) {
        table = "MPE_TABLES"
    }
}

_webout = webouts[table]